# Interface PumpFunTokenOptions

interface PumpFunTokenOptions {
initialLiquiditySOL ?: number;
priorityFee ?: number;
slippageBps ?: number;
telegram ?: string;
twitter ?: string;
website ?: string;
}

- Defined in src/types/index.ts:37

#####
Index

### Properties

initialLiquiditySOL?
priorityFee?
slippageBps?
telegram?
twitter?
website?

##
Properties

### `Optional` initialLiquiditySOL

initialLiquiditySOL?: number

- Defined in src/types/index.ts:41

### `Optional` priorityFee

priorityFee?: number

- Defined in src/types/index.ts:43

### `Optional` slippageBps

slippageBps?: number

- Defined in src/types/index.ts:42

### `Optional` telegram

telegram?: string

- Defined in src/types/index.ts:39

### `Optional` twitter

twitter?: string

- Defined in src/types/index.ts:38

### `Optional` website

website?: string

- Defined in src/types/index.ts:40